Bug 4007 - Information supplied but unused...
Information supplied but unused...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-12 20:38 EDT by d.n.muir
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-13 12:29:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.n.muir 1999-07-12 20:38:59 EDT
I'm continuing the struggle with RH6.0, this time trying
to get my
CD-ROM drive to be recognised.  It's a Teac drive on a
Soundblaster 16
card.  I've got a Dos disk with drivers that allow me to get
to the CD,
and the initrd loads (after mods to autoboot.bat (see bug #
3951)).  I
can install a basic system - the install asks me what sort
of CD I have,
I tell it sbpcd and let it autoprobe, it finds the drive and
continues.
   When I tried to use rpm to install extra packages from
the CD, I found
no /cdrom directory.  I looked at /etc/fstab, and there was
no cdrom entry.

   Surely, having found the drive during install, the
install program should
know there is a CD there, and set up the appropriate
module(s) and
configurations to enable the drive (at least for data) when
the install is
done and rebooted?
   In this case, the CD is attached to a sound card, so the
install should
also recognise this, and install and configure the sound
system, with the
XF86/Gnome applications if X-windows is selected during
install.  All the
information is there to be used - why not use it??

   I installed the sbpcd module via the Gnome System
Configuration tool,
(as sbpcd=0x230,1) then looked at /etc/fstab again, noting
the mount point
as /mnt/cdrom (I had not looked here earlier), and checked
the symlink from
/dev/sbpcd to /dev/cdrom, but I still can't access the CD.
Should I have
set it up as sbpcd=0x230,3 ?

   I have killed this install - it was giving me too much
grief, and I
needed the space on the drive.  I will be tring it again
soon on another
drive, but would like a smoother install if possible...

Hopefully helpfully

Dexter
Comment 1 David Lawrence 1999-07-13 12:29:59 EDT
Normally you should leave the second parameter blank so that you just
have

sbpcd=0x230

But in most cases you dont need to tell the driver anything. It should
just find it. After making a link /dev/cdrom to /dev/sbpcd  and then
add the following line to your fstab

/dev/cdrom	/mnt/cdrom	iso9660		user,noauto,ro	0 0

If this still doesnt work you will need to add the sbpcd=0x230 line to
your lilo.conf in the linux boot section the following

	append = "sbpcd=0x230"

then save the change and run lilo from the command prompt. Then reboot
and try again. Of course the 0x230 should be whatever the I/O address
is for the CD-ROM port of your sound card. The manual should tell you
that.

Note You need to log in before you can comment on or make changes to this bug.